# There are no files that we can get debug info from
%global debug_package %{nil}

Name:		rapidjson
Version:	1.1.0
Release:	%mkrel 4
Summary:	A fast JSON parser/generator for C++
Group:		Development/C++
License:	BSD
URL:		https://rapidjson.org/
Source0:	https://github.com/Tencent/rapidjson/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:		remove-Werror-cmakelist.patch

BuildRequires:	cmake
BuildRequires:	doxygen

%description
RapidJSON is a JSON parser and generator for C++. It was inspired by RapidXml.

- RapidJSON is small but complete. It supports both SAX and DOM style API.
  The SAX parser is only a half thousand lines of code.
- RapidJSON is fast. Its performance can be comparable to strlen(). It also
  optionally supports SSE2/SSE4.2 for acceleration.
- RapidJSON is self-contained and header-only. It does not depend on external
  libraries such as BOOST. It even does not depend on STL.
- RapidJSON is memory-friendly. Each JSON value occupies exactly 16 bytes for
  most 32/64-bit machines (excluding text string). By default it uses a fast
  memory allocator, and the parser allocates memory compactly during parsing.
- RapidJSON is Unicode-friendly. It supports UTF-8, UTF-16, UTF-32 (LE & BE),
  and their detection, validation and transcoding internally. For example, you
  can read a UTF-8 file and let RapidJSON transcode the JSON strings into
  UTF-16 in the DOM. It also supports surrogates and "\u0000" (null character)

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc %{_datadir}/doc/RapidJSON/
%{_includedir}/%{name}/
%{_libdir}/cmake/RapidJSON/
%{_libdir}/pkgconfig/RapidJSON.pc


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1546419
- Mageia 8 Mass Rebuild

* Sun Feb 02 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1486454
- tag docs as such
- own unowned dir

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1300775
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1198201
- imported package rapidjson

